// EmployeePaySet.cpp : implementation of the CEmployeePaySet class
//

#include "stdafx.h"
#include "Employee.h"
#include "EmployeePaySet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEmployeePaySet implementation

IMPLEMENT_DYNAMIC(CEmployeePaySet, CRecordset)

CEmployeePaySet::CEmployeePaySet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CEmployeePaySet)
	m_Employee_Number = 0;
	m_Last_Name = _T("");
	m_First_Name = _T("");
	m_Department__ = 0;
	m_Employee_Pay_Type = 0;
	m_Hours = 0.0;
	m_Hourly_Rate = 0.0;
	m_Weekly_Salary = 0.0;
	m_Sales_Bonus_Rate = 0.0;
	m_Weekly_Sales = 0.0;
	m_nFields = 10;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
	m_strSort = "[Last Name], [First Name]";
}

CString CEmployeePaySet::GetDefaultConnect()
{
	return _T("ODBC;DSN=Personal");
}

CString CEmployeePaySet::GetDefaultSQL()
{
	return _T("[Employee Pay Table]");
}

void CEmployeePaySet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CEmployeePaySet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[Employee Number]"), m_Employee_Number);
	RFX_Text(pFX, _T("[Last Name]"), m_Last_Name);
	RFX_Text(pFX, _T("[First Name]"), m_First_Name);
	RFX_Int(pFX, _T("[Department #]"), m_Department__);
	RFX_Int(pFX, _T("[Employee Pay Type]"), m_Employee_Pay_Type);
	RFX_Double(pFX, _T("[Hours]"), m_Hours);
	RFX_Double(pFX, _T("[Hourly Rate]"), m_Hourly_Rate);
	RFX_Double(pFX, _T("[Weekly Salary]"), m_Weekly_Salary);
	RFX_Double(pFX, _T("[Sales Bonus Rate]"), m_Sales_Bonus_Rate);
	RFX_Double(pFX, _T("[Weekly Sales]"), m_Weekly_Sales);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CEmployeePaySet diagnostics

#ifdef _DEBUG
void CEmployeePaySet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CEmployeePaySet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
