// EmployeePaySet.h : interface of the CEmployeePaySet class
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _CEmployeePaySet_H
#define _CEmployeePaySet_H

class CEmployeePaySet : public CRecordset
{
public:
	CEmployeePaySet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CEmployeePaySet)

// Field/Param Data
	//{{AFX_FIELD(CEmployeePaySet, CRecordset)
	long	m_Employee_Number;
	CString	m_Last_Name;
	CString	m_First_Name;
	int	m_Department__;
	int	m_Employee_Pay_Type;
	double	m_Hours;
	double	m_Hourly_Rate;
	double	m_Weekly_Salary;
	double	m_Sales_Bonus_Rate;
	double	m_Weekly_Sales;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEmployeePaySet)
	public:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};

#endif //Already included