// EmployeePersonalSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEmployeePersonalSet recordset
#ifndef _CEmployeePersonalSet_H
#define _CEmployeePersonalSet_H

class CEmployeePersonalSet : public CRecordset
{
public:
	CEmployeePersonalSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CEmployeePersonalSet)

// Field/Param Data
	//{{AFX_FIELD(CEmployeePersonalSet, CRecordset)
	long	m_Employee_Number;
	BYTE	m_Sex___Marital_Status;
	double	m_Height;
	double	m_Weight;
	//}}AFX_FIELD
	TIMESTAMP_STRUCT m_Birthdate;
	long m_EmployeeNumberParam;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEmployeePersonalSet)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

#endif //Already included