// EmployeeView.h : interface of the CEmployeeView class
//
/////////////////////////////////////////////////////////////////////////////

class CEmployeePaySet;
class CEmployeePersonalSet;

class CEmployeeView : public CRecordView
{
protected: // create from serialization only
	BOOL m_bAddMode;
	CEmployeeView();
	DECLARE_DYNCREATE(CEmployeeView)

public:
	void AddRecordCancel();
	BOOL IsAddMode();
	void SetAddMode( BOOL bAddMode = TRUE );
	//{{AFX_DATA(CEmployeeView)
	enum { IDD = IDD_EMPLOYEE_FORM };
	CEmployeePaySet*	m_pSet;
	//}}AFX_DATA
	CEmployeePersonalSet * m_pEmplInfoSet;
	
// Attributes
public:
	CEmployeeDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEmployeeView)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnMove(UINT nIDMoveCommand);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEmployeeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEmployeeView)
	afx_msg void OnRecordAdd();
	afx_msg void OnRecordClear();
	afx_msg void OnRecordDelete();
	afx_msg void OnUpdateRecordAdd(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRecordDelete(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in EmployeeView.cpp
inline CEmployeeDoc* CEmployeeView::GetDocument()
   { return (CEmployeeDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
